> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-ignite/use-cases/checking-for-target-app-on-device.md).

# Checking for Target App on Device

The SDK allows you to determine whether a target app is installed on a device. The Host App can use this information to prevent recommending target apps that the user has already installed.

To get the installation status of a target app on a device, call the [`getApplicationDetails()` method](/dt-ignite/sdk-reference/check-for-app-on-device.md).

{% @mermaid/diagram content="sequenceDiagram
autonumber
participant Host as Host App
participant SDK as Ignite

```
Host->>SDK: Initialize and Connect
Host->>SDK: getApplicationDetails()

opt callback and/or broadcast
    SDK-->>Host: onSuccess(result: AppDetailsResponse)
    SDK-->>Host: onError()
end

Host->>SDK: Disconnect" %}
```

| SEQUENCE ITEM | DESCRIPTION                                                                                                                                                                                                                                                                                                                                                                                  |
| ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 1             | <p><strong>Initialization and Connection</strong><br>The Host App initializes the DTIS SDK and connects to Ignite. This action establishes a secure connection between the two components and authenticates the Host App with Ignite. For more information, see <a href="/pages/GJaze6fh4RJbTRqJB9s9">Connect to Ignite</a>.</p>                                                             |
| 2             | <p><strong>Get Installation Status</strong><br>The Host App calls the <a href="/pages/dc3b66e3c86e4c7c0681279271eff3b4bd63183c"><code>getApplicationDetails()</code> method</a> to retrieve the installation status of the target app on the device. The call contains the name of the target app you want to check as well as the option to receive results as a callback or broadcast.</p> |
| 3-4           | <p><strong>Installation Status Notification</strong><br>Ignite sends a callback and/or broadcast containing the installation status.</p>                                                                                                                                                                                                                                                     |
| 5             | <p><strong>Disconnect from Ignite</strong><br>Disconnect from Ignite Services. For more information, see <a href="/pages/4YnM7Hkg4MUKWaFVVSWs">Disconnect from Ignite</a>.</p>                                                                                                                                                                                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalturbine.com/dt-ignite/use-cases/checking-for-target-app-on-device.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
